
Icon_Speed = "data:ui/newui/research/icons/speed.mres"
Icon_Health = "data:ui/newui/research/icons/health.mres"
Icon_Tech = "data:ui/newui/research/icons/tech.mres"
Icon_Ability = "data:ui/newui/research/icons/ability.mres"
Icon_Build = "data:ui/newui/research/icons/build.mres"

Modifier = 0
Ability = 1
AllShips = 0
Family = 1
Ship = 2

research = {
	
-- ROOT	

	{
		Name = "ClassCorvette",
		RequiredResearch = "",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Corvettes",
		DisplayPriority = 1,
		Description = "",
		TargetType = Family,
		TargetName = "Corvette",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Corvettes",    		
	},

	{
		Name = "ClassSatellite",
		RequiredResearch = "",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Defence Satellite",
		DisplayPriority = 2,
		Description = "",
		TargetType = Family,
		TargetName = "Platform",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Defence Satellite",    		
	},
	
	{ 
		Name = "LintiraArmourUpgrade", 
		RequiredResearch = "", 
		RequiredSubSystems = "", 
		Cost = 1, 
		Time = 1, 
		DisplayedName = "Lintira Armour Upgrade 1", 
		DisplayPriority = 151, 
		Description = 
			"<b>Description:</b>Improves Lintira Armour\n"..
			" \n"..
			"<b>Prerequisites:</b>None",
		UpgradeType = Modifier, 
		TargetType = Ship, 
		TargetName = "MIN_LINTIRA", 
		UpgradeName = "MAXHEALTH", 
		UpgradeValue = 1.15, 
		Icon = Icon_Health, 
		ShortDisplayedName = "Lvl 1 Lintira", 
	},

	{ 
		Name = "LintiraEngineEnhancement", 
		RequiredResearch = "", 
		RequiredSubSystems = "", 
		Cost = 1, 
		Time = 1, 
		DisplayedName = "Lintira Engine Upgrade 1", 
		DisplayPriority = 152, 
		Description = 
			"<b>Description:</b>Improves Lintira Engine Speeds\n"..
			" \n"..
			"<b>Prerequisites:</b>None",
		UpgradeType = Modifier, 
		TargetType = Ship, 
		TargetName = "MIN_LINTIRA", 
		UpgradeName = "MAXSPEED", 
		UpgradeValue = 1.08, 
		Icon = Icon_Speed, 
		ShortDisplayedName = "Lvl 1 Lintira", 
	}, 	

{ 
		Name = "LintiraWeaponUpgrade", 
		RequiredResearch = "LintiraEngineEnhancement & LintiraArmourUpgrade", 
		RequiredSubSystems = "", 
		Cost = 1, 
		Time = 1, 
		DisplayedName = "Lintira Weapon Upgrade", 
		DisplayPriority = 153, 
		Description = 
			"<b>Description:</b>Equips the Lintira with Light Neutron Cannons\n"..
			" \n"..
			"<b>Prerequisites:</b>Lvl 1 Engine and Armour Upgrades",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "MIN_LINTIRA",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Lvl 2 Lintira Weapons", 
	}, 	
	
	{ 
		Name = "UpgradeZhalenArmour1", 
		RequiredResearch = "", -- "ClassNeutronBeam", 
		RequiredSubSystems = "", 
		Cost = 1, 
		Time = 1, 
		DisplayedName = "Armour Upgrade (Stage 1)", 
		DisplayPriority = 100, 
		Description = 
			"<b>Description:</b> Increases Maximum Health\n",
		UpgradeType = Modifier, 
		TargetType = Ship, 
		TargetName = "MIN_ORBPLATFORM", 
		UpgradeName = "MAXHEALTH", 
		UpgradeValue = 1.4, 
		Icon = Icon_Health, 
		ShortDisplayedName = "Armour Upgrade 1",
	},
	
	{ 
		Name = "UpgradeZhalenArmour2", 
		RequiredResearch = "UpgradeZhalenArmour1", -- "UpgradeZhalenArmour1 & ClassHeavyCruiser", 
		RequiredSubSystems = "", 
		Cost = 1, 
		Time = 1, 
		DisplayedName = "Armour Upgrade (Stage 2)", 
		DisplayPriority = 100, 
		Description = 
			"<b>Description:</b> Further Increases Maximum Health\n",
		UpgradeType = Modifier, 
		TargetType = Ship, 
		TargetName = "MIN_ORBPLATFORM", 
		UpgradeName = "MAXHEALTH", 
		UpgradeValue = 1.8, 
		Icon = Icon_Health, 
		ShortDisplayedName = "Armour Upgrade 2",
	},	

-- REQUIRE AT LEAST DEFENCE SATELLITES

	--  Kinsha defence satellite upgrades go here
	
	
-- REQUIRE AT LEAST CORVETTES

	{
		Name = "ClassFrigate",
		RequiredResearch = "ClassCorvette",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Frigates",
		DisplayPriority = 3,
		Description = "",
		TargetType = Family,
		TargetName = "Frigate",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Frigates",    		    		
	},

	{
		Name = "UpgradeTorothaWeapons",
		RequiredResearch = "ClassCorvette",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Torotha Weapons Upgrade",
		DisplayPriority = 78,
		Description = 
			"<b>Description:</b> Replaces Main Battery With Neutron Cannons\n",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "MIN_TOROTHA",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},
	
	-- 1st Stealth tech - for tishat et al!

-- REQUIRE AT LEAST FRIGATES

	{
		Name = "ClassNeutronBeam",
		RequiredResearch = "ClassFrigate",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Neutron Beam Weapons",
		DisplayPriority = 4,
		Description = "",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Neutron Beams",    		    		
	},

	{
		Name = "UpgradeTishatWeapons",
		RequiredResearch = "ClassFrigate",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Tishat Weapons Upgrade",
		DisplayPriority = 79,
		Description = 
			"<b>Description:</b> Improves Weapon Penetration vs Armoured Ships\n",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "MIN_TISHAT",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},

-- REQUIRE AT LEAST NEUTRON BEAMS

	{
		Name = "ClassAdvNeutronBeam",
		RequiredResearch = "ClassNeutronBeam",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Advanced Neutron Beam Weapons",
		DisplayPriority = 5,
		Description = "",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Adv. Neutron Beams",    		    		
	},

	{
		Name = "ClassAdvancedReactors",
		RequiredResearch = "ClassNeutronBeam",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Advanced Reactors",
		DisplayPriority = 6,
		Description = "",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Adv. Reactors",    		    		
	},

	{
		Name = "UpgradeKinshaWeapons",
		RequiredResearch = "ClassNeutronBeam",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Kinsha Weapons Upgrade",
		DisplayPriority = 80,
		Description = 
			"<b>Description:</b> Replaces Main Battery With Neutron Beams\n",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "MIN_KINSHASAT",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},
	
	
-- REQUIRE AT LEAST ADVANCED NEUTRON BEAMS

	{
		Name = "UpgradeTinashiWeapons",
		RequiredResearch = "ClassAdvNeutronBeam",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Tinashi Weapons Upgrade",
		DisplayPriority = 81,
		Description = 
			"<b>Description:</b> Converts All Weapons To Use Neutron Beams\n",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "MIN_TINASHI",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},

	-- Kinsha weapon power upgrade
	
-- REQUIRE AT LEAST ADVANCED REACTORS

	{
		Name = "ClassHeavyCruiser",
		RequiredResearch = "ClassAdvancedReactors & ClassAdvNeutronBeam",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Heavy Cruiser",
		DisplayPriority = 7,
		Description = "",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Heavy Cruiser",    		    		
	},

	{
		Name = "UpgradeZhalenWeapons",
		RequiredResearch = "ClassAdvancedReactors",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Zhalen Weapons Upgrade",
		DisplayPriority = 85,
		Description = 
			"<b>Description:</b> Replaces Weapon Battery With Neutron Cannons\n",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "MIN_ORBPLATFORM",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},

	{
		Name = "UpgradeTroliganWeapons",
		RequiredResearch = "ClassAdvancedReactors",
		RequiredSubSystems = "",
		Cost = 1,
		Time = 1,
		DisplayedName = "Troligan Weapons Upgrade",
		DisplayPriority = 82,
		Description = 
			"<b>Description:</b> Replaces Main Battery With Neutron Beams\n",
		UpgradeType = Ability,
		TargetType = Ship,
		TargetName = "MIN_Troligan",
		UpgradeName = "UseSpecialWeaponsInNormalAttack",
		Icon = Icon_Ability,
		ShortDisplayedName = "Weapons Upgrade",
	},

	{ 
		Name = "Nial Armour Upgrade", 
		RequiredResearch = "ClassAdvancedReactors", 
		RequiredSubSystems = "", 
		Cost = 1, 
		Time = 1, 
		DisplayedName = "Nial Armour Upgrade 1", 
		DisplayPriority = 153, 
		Description = 
			"<b>Description:</b>Improves Nial Armour\n"..
			" \n"..
			"<b>Prerequisites:</b>None",
		UpgradeType = Modifier, 
		TargetType = Ship, 
		TargetName = "MIN_nial", 
		UpgradeName = "MAXHEALTH", 
		UpgradeValue = 1.15, 
		Icon = Icon_Health, 
		ShortDisplayedName = "Lvl 1 Nial", 
	}, 

	{ 
		Name = " Nial Engine Enhancement", 
		RequiredResearch = "ClassAdvancedReactors", 
		RequiredSubSystems = "", 
		Cost = 1, 
		Time = 1, 
		DisplayedName = "Nial Engine Upgrade 1", 
		DisplayPriority = 154, 
		Description = 
			"<b>Description:</b>Improves Nial Engine Speeds\n"..
			" \n"..
			"<b>Prerequisites:</b>None",
		UpgradeType = Modifier, 
		TargetType = Ship, 
		TargetName = "MIN_nial", 
		UpgradeName = "MAXSPEED", 
		UpgradeValue = 1.08, 
		Icon = Icon_Speed, 
		ShortDisplayedName = "Lvl 1 Nial", 
	},


-- REQUIRE AT LEAST HEAVY CRUISER CLASS



-- SPECIAL TECH (CAN ONLY BE GRANTED BY GAME EVENT)

	{
		Name = "TechFirstOnes",
		RequiredResearch = "RESEARCH HACK",
		RequiredSubSystems = "",
		Cost = 0,
		Time = 0,
		DisplayedName = "First Ones Technology",
		DisplayPriority = 11,
		Description = "",
		TargetType = Family,
		TargetName = "Capital",
    		Icon = Icon_Tech,
		ShortDisplayedName = "Firstones",    		    		
	},
	
	
	{
		Name = "RealGuns",
		RequiredResearch = "RESEARCH HACK",
		RequiredSubSystems = "",
		Cost = 0,
		Time = 0,
		DisplayedName = "Real Firepower",
		DisplayPriority = 12,
		Description = "",
		UpgradeType = Modifier, 		
		TargetType = AllShips,
		UpgradeName = "WEAPONDAMAGE", 
		UpgradeValue = 4, 			
		Icon = Icon_Tech,
		ShortDisplayedName = "Real Guns",    		    		
	},
	
	
--- JUNK!!!!	
	

	


--	{ 
--        Name = "Sharlin Production Upgrade1", 
--        RequiredResearch = "", 
--        RequiredSubSystems = "", 
--        Cost = 1000, 
--        Time = 60, 
--        DisplayedName = "$7800", 
--        DisplayPriority = 45, 
--        Description = "$7801", 
--        UpgradeType = Modifier, 
--        TargetType = Ship, 
--        TargetName = "MIN_Sharlin", 
--        UpgradeName = "BUILDSPEED", 
--        UpgradeValue = 1.3, 
--        Icon = Icon_Build, 
--        ShortDisplayedName = "$7240", 
--	}, 
	
	
	
}